      program fib
      implicit none
      integer*8 nextra, fstart
      write (*,*) '\n\tFibonacci Numbers'
      write (*,*) '\t================='
      write (*,1111) 
 1111 format ('\nEnter the initial Fibonacci number: ',$)
      read  (*,*) fstart
      write (*,2222) 
 2222 format ('How many additional Fibonacci numbers do you want? ',$)
      read  (*,*) nextra

      call fib_sub (fstart, nextra)

      stop
      end
